Package Details: goffice-light 0.10.28-1

Git Clone URL: https://aur.archlinux.org/goffice-light.git (read-only)
Package Base: goffice-light
Description: A library of document-centric objects and utilities built on top of GLib and Gtk+
Upstream URL: http://www.gnome.org
Licenses: GPL
Conflicts: goffice
Provides: goffice=0.10.28
Submitter: megadriver
Maintainer: haawda
Last Packager: haawda
Votes: 10
Popularity: 0.001021
First Submitted: 2012-01-19 12:07
Last Updated: 2016-03-25 13:25

Latest Comments

haawda commented on 2015-01-24 23:36

Adopted and updated

jchamplin commented on 2013-06-05 14:04

Disowned as abiword-minimal no longer depends.

cedeel commented on 2013-06-05 13:05

Conflicts and provides should be goffice0.8

Unia commented on 2013-03-14 11:44

What's your point really?

haawda commented on 2013-03-14 03:04

Such users should maintain it then and keep it up to date.

haawda commented on 2013-03-14 02:53

Only one dependency less: gconf. And one more configure-option.

Unia commented on 2013-03-13 20:11

There are certain users who prefer not to use {d,g}conf. If that's not you, then great, but that's the need for this package. What's the harm of this package existing here? It's the USER repository after all.

haawda commented on 2013-03-13 20:08

Only one dependency less: gconf. And one more configure-option.

Unia commented on 2013-03-13 20:03

Note the dependencies; this is goffice compiled with lesser options than the one found in [extra]

haawda commented on 2013-03-13 15:48

Is this package really needed? gnumeric-minimal and abiword-minimal build fine with the goffice from [extra], without getting bloated.

Unia commented on 2012-11-28 16:02

Disowning. I've switched back to Libreoffice.

Unia commented on 2012-06-22 13:16

I'll adopt the goffice and abiword/gnumeric packages

megadriver commented on 2012-06-22 13:16

I've successfully migrated from Arch to Funtoo, so I'm orphaning all my AUR packages. Please treat them well, for I might return :)

To the prospective adopter: I wonder about the future of goffice (and by extension abiword's and gnumeric's). Let's wait and see...

megadriver commented on 2012-06-22 13:15

I've successfully migrated from Arch to Funtoo, so I'm orphaning all my AUR packages. Please treat them well, for I might return :)

To the prospective adopter: I wonder about the future of this one (and by extension abiword's and gnumeric's). Let's wait and see...

Unia commented on 2012-06-18 15:41

I hadn't thought of the difference between light and minimal, good one! Guess that's because English isn't my first language.

I have already edited my PKGBUILD though, so win-win :D

megadriver commented on 2012-06-18 15:40

I tend to use "-light" when I just take out one or two dependencies from the official PKGBUILD, and don't change much more.
I use "-minimal" when the changes are more drastic. Both "abiword-minimal" and "gnumeric-minimal" have lots of stuff removed.

Anyway, you can always modify your personal copy of the PKGBUILD, so feel free to do so :)

Unia commented on 2012-06-18 11:52

How about renaming this to goffice-minimal? For consistency between abiword-minimal and gnumeric-minimal?

Just an idea I came to think of whilst cleaning up my system :)

megadriver commented on 2012-05-14 12:53

I see. Updated to add gtk-doc as a makedepend.

As I already had gtk-doc installed as a makedepend for other packages, I never noticed. Thanks!

neuromancer85 commented on 2012-05-14 12:06

It needs gtk-doc to be installed to build correctly...

Unia commented on 2012-05-14 09:21

You're welcome! I will try building this again after I get home from my Dutch final.

megadriver commented on 2012-05-14 05:55

Fixed using a patch from Gentoo. Thanks for reporting!

Unia commented on 2012-05-12 14:23

Hey, I'm getting the following error:

checking for UTF-8 support in pcre... configure: error: The installed PCRE library is not configured for UTF-8 support.

What to do about that?

megadriver commented on 2012-01-19 12:09

GNOME free goffice library, used by gnumeric-minimal:
https://aur.archlinux.org/packages.php?ID=55919